Check into an item

🔒 OAuth Required

Check into a movie or episode. This should be tied to a user action to manually indicate they are watching something. The item will display as watching on the site, then automatically switch to watched status once the duration has elapsed. A unique history id (64-bit integer) will be returned and can be used to reference this checkin directly.

JSON POST Data

KeyTypeValue
item *objectmovie or episode object. (see examples ->)
sharingobjectControl sharing to any connected social networks. (see below ↓)
messagestringMessage used for sharing. If not sent, it will use the watching string in the user settings.

Sharing

The sharing object is optional and will apply the user's settings if not sent. If sharing is sent, each key will override the user's setting for that social network. Send true to post or false to not post on the indicated social network. You can see which social networks a user has connected with the /users/settings method.

KeyType
twitterboolean
mastodonboolean
tumblrboolean

Note

If a checkin is already in progress, a 409 HTTP status code will returned. The response will contain an expires_at timestamp which is when the user can check in again.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Body

episode
object | null
sharing
object | null

The sharing object is optional and will apply the user's settings if not sent.
If sharing is sent, each key will override the user's setting for that social network.
Send true to post or false to not post on the indicated social network.
You can see which social networks a user has connected with the /users/settings method.

string | null
Responses

Language
Credentials
Required Scopes
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json